DBusMessageRealIter Struct Reference
DBusMessage implementation details

Internals of DBusMessageIter. More...

## Data Fields

DBusMessage * | message
| Message used.
dbus_uint32_t | changed_stamp: CHANGED_STAMP_BITS
| stamp to detect invalid iters
dbus_uint32_t | iter_type: 3
| whether this is a reader or writer iter
dbus_uint32_t | sig_refcount: 8
| depth of open_signature()
union {
DBusTypeWriter writer
| writer
DBusTypeReader reader
| reader
} | u
| the type writer or reader that does all the work

## Detailed Description

Internals of DBusMessageIter.

Object representing a position in a message. All fields are internal.

Definition at line 125 of file dbus-message.c.

The documentation for this struct was generated from the following file:

- dbus-message.c